CVE-2013-7484

NameCVE-2013-7484
DescriptionZabbix before 5.0 represents passwords in the users table with unsalted MD5.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3538-1, ELA-945-1, ELA-957-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
zabbix (PTS)jessie, jessie (lts)1:2.2.23+dfsg-0+deb8u7fixed
stretch (security)1:3.0.32+dfsg-0+deb9u3vulnerable
stretch (lts), stretch1:3.0.32+dfsg-0+deb9u6fixed
buster1:4.0.4+dfsg-1vulnerable
buster (security)1:4.0.4+dfsg-1+deb10u4fixed
bullseye1:5.0.8+dfsg-1fixed
bookworm1:6.0.14+dfsg-1fixed
sid, trixie1:6.0.25+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
zabbixsourcewheezy(unfixed)end-of-life
zabbixsourcejessie1:2.2.23+dfsg-0+deb8u5ELA-957-1
zabbixsourcestretch1:3.0.32+dfsg-0+deb9u4ELA-945-1
zabbixsourcebuster1:4.0.4+dfsg-1+deb10u2DLA-3538-1
zabbixsource(unstable)1:5.0.0+dfsg-1

Notes

[stretch] - zabbix <no-dsa> (Minor issue)
[jessie] - zabbix <no-dsa> (Minor issue)
https://support.zabbix.com/browse/ZBX-16551
https://support.zabbix.com/browse/ZBXNEXT-1898
https://www.zabbix.com/documentation/5.0/manual/introduction/whatsnew500#stronger_cryptography_for_passwords
Fixed by: https://github.com/zabbix/zabbix/commit/0bc1a41104cf747edbda6d2c84c7ade9d714fb30 (5.0.0alpha1)

Search for package or bug name: Reporting problems